28 juni 2019
From the category: Hacks

Oplossing voor het lageresolutieprobleem van apps onder Linux

Veel apps zoals MonoDevelop en OpenScad werken onder Linux met een dermate bedroevend lage resolutie dat je de leesbril op moet zetten wil je het op een hoge-resolutiemonitor nog kunnen lezen.
De fix is om de volgende tekst onder aan je .profile-bestand te zetten (en dan opnieuw inloggen).
export QT_SCALE_FACTOR=2
export QT_AUTO_SCREEN_SCALE_FACTOR=1
Bij OpenScad (versie 2019) werkt het prima. Bij MonoDevelop werkt het een beetje.

De eerste regel doet het hem volgens mij, daar kun je de waarde van 2 ook kleiner maken, zoals 1.5.

En als de Qt-applicaties super-groot worden (heb ik ook wel eens gehad) dat ze niet meer op het scherm passen dan deed ik alleen dit:
export QT_SCALE_FACTOR=0


Apps waar het goed mee werkt:
- OpenScad
- VLC Media player
- Kdenlive (video editor)

Apps waarbij het niet werkt, ik heb voor de volgende apps nog geen oplossing:
- Openshot video editor
 

Reacties

Marcel V
Dit probleem heb ik bij de Cinnamon desktop (Linux Mint) pas zodra ik een Gnome-app heb geinstalleerd, bijv. na installatie van GIMP.
 

Comment

Name:

Comment:

 
(C) 2019 marcelv
 
Should a website to which I refer fail, I always have a backup.